#ifndef _MY_TYPEDEFS_
#define _MY_TYPEDEFS_

#include <sys/types.h>
#include <string>
#include <vector>
#include <deque>
#include <cmath>

namespace slp {
namespace spojus {

typedef u_long ulong;
#if 1
typedef uint Word;
#else
typedef ushort Word;
#endif
typedef std::vector<Word> WordContainer;
#if 0
typedef double Rnum;
#else
typedef float Rnum;
#endif
typedef std::vector<Rnum> RnumContainer;
typedef std::vector<RnumContainer> RnumContainerContainer;
typedef std::vector<RnumContainer *> RnumContainerPtrContainer;
typedef std::vector<std::string> StringContainer;

}
}

#endif // #ifndef _MY_TYPEDEFS_
